Différences

Ci-dessous, les différences entre deux révisions de la page.

Lien vers cette vue comparative

Les deux révisions précédentes Révision précédente
Prochaine révision
Révision précédente
eclipse [Le 21/05/2018, 15:39]
mvvvv [Installation des dernières versions disponibles sans l'outil Eclipse Installer] lien download modifié
eclipse [Le 07/08/2018, 10:10] (Version actuelle)
mvvvv [Installation par les dépôts SNAP via la logithèque Ubuntu] style
Ligne 66: Ligne 66:
 Voir la page [[Eclipse Installer]] pour profiter au mieux de tous les apports de ce nouvel outil. Voir la page [[Eclipse Installer]] pour profiter au mieux de tous les apports de ce nouvel outil.
 ==== Installation par les dépôts SNAP via la logithèque Ubuntu==== ==== Installation par les dépôts SNAP via la logithèque Ubuntu====
 +<note warning>​Attention,​ cette solution considère toute nouvelle version majeure (délivrée une fois par an au début de l'​été) comme une mise à jour de la version précédente. Cela peut provoquer de vraies catastrophes (plugins et librairies étant upgradés) car cette mise à jour se fait automatiquement. 
 +</​note>​
 Ce paquet SNAP, créé par [[https://​snapcraft.io/​eclipse|Snapcrafters]] propose le packaging le plus courant d'​Eclipse,​ à savoir [[https://​www.eclipse.org/​downloads/​packages/​eclipse-ide-java-ee-developers/​oxygen3a|Eclipse IDE for Java Developers]]. Contrairement à l'​outil Eclipse Installer, il ne permet ​ d'​avoir qu'une seule instance (un seul packaging) associée au seul lanceur "​Eclipse"​. L’utilisateur pourra donc configurer cette instance unique en ajoutant les plugins dont il aura besoin, soit par l'​ancienne procédure du menu "​Help/​Install New Software",​ soit par la nouvelle procédure [[https://​eclipsesource.com/​blogs/​tutorials/​oomph-basic-tutorial/​|OOMPH]]. Ce paquet SNAP, créé par [[https://​snapcraft.io/​eclipse|Snapcrafters]] propose le packaging le plus courant d'​Eclipse,​ à savoir [[https://​www.eclipse.org/​downloads/​packages/​eclipse-ide-java-ee-developers/​oxygen3a|Eclipse IDE for Java Developers]]. Contrairement à l'​outil Eclipse Installer, il ne permet ​ d'​avoir qu'une seule instance (un seul packaging) associée au seul lanceur "​Eclipse"​. L’utilisateur pourra donc configurer cette instance unique en ajoutant les plugins dont il aura besoin, soit par l'​ancienne procédure du menu "​Help/​Install New Software",​ soit par la nouvelle procédure [[https://​eclipsesource.com/​blogs/​tutorials/​oomph-basic-tutorial/​|OOMPH]].
  
Ligne 82: Ligne 83:
 === Pour installer à partir de la logithèque Ubuntu === === Pour installer à partir de la logithèque Ubuntu ===
  
-Lancer l'​application ​ [[gnome-software|Logiciels Ubuntu]] depuis le menu des applications,​ rechercher "​eclipse",​ faire attention de ne pas choisir l'​ancien paquet DEB de la version 3.8 et installer la version SNAP qui correspond à la version 4.7.3a ((au 18/05/​2018)) ​+Lancer l'​application ​ [[gnome-software|Logiciels Ubuntu]] depuis le menu des applications,​ rechercher "​eclipse",​ faire attention de ne pas choisir l'​ancien paquet DEB de la version 3.8 et installer la version SNAP qui correspond à la version 4.8.((au 19/12/​2018)) ​
  
  
Ligne 129: Ligne 130:
 **Eclipse** étant développé en Java, il ne nécessite qu'une [[:​java|machine virtuelle Java]] pour fonctionner. **Eclipse** étant développé en Java, il ne nécessite qu'une [[:​java|machine virtuelle Java]] pour fonctionner.
  
-  * Téléchargez directement (et en ignorant "​Eclipse Installer"​) la version et la configuration qui vous convient sur la page [[https://​www.eclipse.org/​downloads/​eclipse-packages/​|site officiel]], en effet des packs tout prêts suivant le langage de programmation que vous voudrez utiliser sont disponibles pour différentes plate-formes (x86, x86_64, PPC, ...), cherchez bien. Lisez la page comparative des différentes configurations [[https://​www.eclipse.org/​downloads/​compare.php|Principales Configurations]] pour vous faire une idée.+  * Téléchargez directement (et en ignorant "​Eclipse Installer"​) la version et la configuration qui vous convient sur la page [[https://​www.eclipse.org/​downloads/​packages/​|site officiel]], en effet des packs tout prêts suivant le langage de programmation que vous voudrez utiliser sont disponibles pour différentes plate-formes (x86, x86_64, PPC, ...), cherchez bien. Lisez la page comparative des différentes configurations [[https://​www.eclipse.org/​downloads/​compare.php|Principales Configurations]] pour vous faire une idée.
   * Créez un dossier où vous voulez : **/​opt/​eclipse** ou pourquoi pas le dossier **.eclipse3.x** placé dans votre dossier personnel histoire qu'il "​disparaisse"​ (__/!\__ //​__attention__,​ évitez de nommer le dossier __.eclipse__ car il est utilisé par la version disponible dans les dépôts si vous comptez également utiliser cette dernière.//​)   * Créez un dossier où vous voulez : **/​opt/​eclipse** ou pourquoi pas le dossier **.eclipse3.x** placé dans votre dossier personnel histoire qu'il "​disparaisse"​ (__/!\__ //​__attention__,​ évitez de nommer le dossier __.eclipse__ car il est utilisé par la version disponible dans les dépôts si vous comptez également utiliser cette dernière.//​)
   * Décompressez l'​archive précédemment téléchargée dans ce dossier (une remarque, les archives contiennent le dossier "​eclipse"​ qui au final ne sert à rien si on choisit un autre nom pour le dossier où nous plaçons les fichiers)   * Décompressez l'​archive précédemment téléchargée dans ce dossier (une remarque, les archives contiennent le dossier "​eclipse"​ qui au final ne sert à rien si on choisit un autre nom pour le dossier où nous plaçons les fichiers)
  • eclipse.1526909957.txt.gz
  • Dernière modification: Le 21/05/2018, 15:39
  • par mvvvv